Request

Response

    Export
    POST

    /export/:contract_number/requests/:request_key/retry

    Retry an export request that has failed.

    Resource Information

    Method and URI
    POST
    https://developer.api.autodesk.com/tokenflex/v1/export/:contract_number/requests/:request_key/retry
    Required OAuth Scopes
    data:write
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    * Required

    Request

    URI Parameters

    contract_number
    string
    The contract number to retrieve (see GET contract).
    request_key
    string
    The request key for the export request. Note that this parameter must be URI encoded.

    Response

    HTTP Status Code Summary

    200
    OK
    Request succeeded.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    The entire export request object with an updated requestStatus. The call has no effect if the status was not previously in error state. See GET export/:contract_number/requests/:request_key.

    Example

    Successfully status flag for an export request. (200)

    Request

    curl  -X POST \
          'https://developer.api.autodesk.com/tokenflex/v1/export/110000917988/requests/2018-10-29T03%3A25%3A31%234d16aed0-9de2-40c1-9e91-22e3e83c6ce3/retry' \
          -H 'Content-Type: application/json' \
          -H 'Authorization: Bearer eyJhbGciOiJIUzI1N'
    

    Response

    {
        "requestKey": "2018-10-29T03:25:31#4d16aed0-9de2-40c1-9e91-22e3e83c6ce3",
        "requestStatus": "Requested",
        "downloadFileName": "DesktopUsage Oct 2017.csv",
        "exportRequestDate": "2018-10-29T03:25:31.408219Z",
        "readFlag": "N"
    }